Yetkazib beruvchilar bo'yicha sotuvlar
GET
/v1/product-sells-by-suppliers-table
const url = 'https://api-admin.billz.ai/v1/product-sells-by-suppliers-table?start_date=2026-08-01&end_date=2026-08-31&shop_ids=fbfb9d6c-cbb2-43ab-8c90-e97d2eeb34d6%2C92302dfb-fa33-4e6a-8d19-87214852b25d&supplier_ids=17c04d85-e7d7-4f8f-8ed6-14bede7d55d4%2C786faa1e-b2be-4cae-a8fd-490c747c2b1f&all_suppliers=0&page=1&limit=10&detalization=day&price_type=0&group_without_shops=false';const options = { method: 'GET', headers: { 'platform-id': '7d4a4c38-dd84-4902-b744-0488b80a4c01', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api-admin.billz.ai/v1/product-sells-by-suppliers-table?start_date=2026-08-01&end_date=2026-08-31&shop_ids=fbfb9d6c-cbb2-43ab-8c90-e97d2eeb34d6%2C92302dfb-fa33-4e6a-8d19-87214852b25d&supplier_ids=17c04d85-e7d7-4f8f-8ed6-14bede7d55d4%2C786faa1e-b2be-4cae-a8fd-490c747c2b1f&all_suppliers=0&page=1&limit=10&detalization=day&price_type=0&group_without_shops=false' \ --header 'Authorization: Bearer <token>' \ --header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'Xato kodlari: 400 — kiruvchi ma’lumotlar validatsiya xatosi; 404 — obyekt topilmadi; 401, 403, 429, 500 — barcha metodlar uchun umumiy. Tana formatlari va semantikasi: Javob kodlari va xatolar.
Authorizations
“Authorizations” bo'limiParameters
“Parameters” bo'limiQuery Parameters
“Query Parameters” bo'limistart_date
string format: date
Example
2026-08-01Format YYYY-MM-DD, vaqtsiz
end_date
string format: date
Example
2026-08-31Format YYYY-MM-DD, vaqtsiz
shop_ids
required
Array<string>
Do’konlar; bo’sh qiymatda — 400
Example
[ "fbfb9d6c-cbb2-43ab-8c90-e97d2eeb34d6", "92302dfb-fa33-4e6a-8d19-87214852b25d"]supplier_ids
Array<string>
all_suppliers=1 bo’lganda hisobga olinmaydi. Elementlar soni cheklangan
Example
[ "17c04d85-e7d7-4f8f-8ed6-14bede7d55d4", "786faa1e-b2be-4cae-a8fd-490c747c2b1f"]all_suppliers
integer format: int32
1 — kompaniyaning barcha yetkazib beruvchilarini olish + ‘00000000-0000-0000-0000-000000000000’ (yetkazib beruvchisiz)
page
integer format: int32
Example
1limit
integer format: int32
Example
10detalization
string
Day|week|month|year|bo’sh
Example
dayprice_type
integer format: int32
group_without_shops
boolean
currency
string
Header Parameters
“Header Parameters” bo'limiplatform-id
string
Platforma identifikatori. Integratsiyalar uchun statik qiymat ishlatiladi.
Responses
“Responses” bo'limiMuvaffaqiyatli javob
Media typeapplication/json
object
products_stats_by_date
Array<object>
object
date
string
supplier_id
string
supplier_name
string
product_id
string
shop_id
string
shop_name
string
product_name
string
product_base_name
string
product_sku
string
product_barcode
string
product_brand_id
string
product_brand_name
string
product_categories
Array<object>
object
id
string
name
string
parent_id
string
company_id
string
level_number
integer
deleted_at
integer
categories_path
Array<string>
level_1
Array<string>
level_2
Array<string>
level_3
Array<string>
level_4
Array<string>
level_5
Array<string>
product_attributes
Array<object>
object
custom_fields
Array<object>
object
product_measurement_unit_id
string
product_measurement_unit_name
string
product_measurement_unit_short_name
string
sold_measurement_value
number
returned_measurement_value
number
net_sold_measurement_value
number
gross_sales
number
returned_sales_sum
number
net_sales
number
net_profit
number
sold_supply_sum
number
average_margin
number
discount
integer
sold_with_discount
integer
sold_without_discount
integer
left_start_date
number
left_start_date_supply_price
number
left_start_date_retail_price
number
left_end_date
number
left_end_date_supply_price
number
left_end_date_retail_price
number
free_price
boolean
used_wholesale_price
boolean
products_stats_total
Qiymat bo’sh bo’lsa, javobda bo’lmaydi
object
sold_measurement_value
number
returned_measurement_value
number
net_sold_measurement_value
number
gross_sales
number
returned_sales_sum
number
net_sales
number
net_profit
number
rounding_amount
number
sold_supply_sum
number
average_margin
number
discount
number
sold_with_discount
integer
sold_without_discount
integer
left_start_date
number
left_start_date_supply_price
number
left_start_date_retail_price
number
left_end_date
number
left_end_date_supply_price
number
left_end_date_retail_price
number
count
integer format: int32
Examplegenerated
{ "products_stats_by_date": [ { "date": "example", "supplier_id": "example", "supplier_name": "example", "product_id": "example", "shop_id": "example", "shop_name": "example", "product_name": "example", "product_base_name": "example", "product_sku": "example", "product_barcode": "example", "product_brand_id": "example", "product_brand_name": "example", "product_categories": [ { "id": "example", "name": "example", "parent_id": "example", "company_id": "example", "level_number": 1, "deleted_at": 1 } ], "categories_path": [ "example" ], "level_1": [ "example" ], "level_2": [ "example" ], "level_3": [ "example" ], "level_4": [ "example" ], "level_5": [ "example" ], "product_attributes": [ {} ], "custom_fields": [ {} ], "product_measurement_unit_id": "example", "product_measurement_unit_name": "example", "product_measurement_unit_short_name": "example", "sold_measurement_value": 1, "returned_measurement_value": 1, "net_sold_measurement_value": 1, "gross_sales": 1, "returned_sales_sum": 1, "net_sales": 1, "net_profit": 1, "sold_supply_sum": 1, "average_margin": 1, "discount": 1, "sold_with_discount": 1, "sold_without_discount": 1, "left_start_date": 1, "left_start_date_supply_price": 1, "left_start_date_retail_price": 1, "left_end_date": 1, "left_end_date_supply_price": 1, "left_end_date_retail_price": 1, "free_price": true, "used_wholesale_price": true } ], "products_stats_total": { "sold_measurement_value": 1, "returned_measurement_value": 1, "net_sold_measurement_value": 1, "gross_sales": 1, "returned_sales_sum": 1, "net_sales": 1, "net_profit": 1, "rounding_amount": 1, "sold_supply_sum": 1, "average_margin": 1, "discount": 1, "sold_with_discount": 1, "sold_without_discount": 1, "left_start_date": 1, "left_start_date_supply_price": 1, "left_start_date_retail_price": 1, "left_end_date": 1, "left_end_date_supply_price": 1, "left_end_date_retail_price": 1 }, "count": 1}